import { useState, useEffect } from 'react'

type RoleTypeData = {
  id: number
  identifier: string
  name_en: string
  name_nb: string
  max_days: number
}

function useRoleTypes(): RoleTypeData[] {
  const [roleTypes, setRoleTypes] = useState<RoleTypeData[]>([])

  async function fetchRoleTypes() {
    fetch(`/api/ui/v1/roletypes/`)
      .then((data) => data.text())
      .then((result) => {
        // The response is a JSON-array
        setRoleTypes(JSON.parse(result))
      })
      .catch((error) => {
        console.debug(error)
      })
  }

  useEffect(() => {
    fetchRoleTypes()
  }, [])

  return roleTypes
}

export type { RoleTypeData }
export default useRoleTypes
