import { ThemeOptions } from '@mui/material'

// Note that a few global styles are set by CssBaseline in 'routes/index.tsx

const mainTheme: ThemeOptions = {
  greg: {
    appMinWidth: '60rem',
    appMaxWidth: '110rem',
    deactivatedColor: '#C9C9C9',
    textWhite: 'white',
    footerLinkBgColor: '#202020',
  },
  // No palette section defined here, it is up to the different institutions to define colours that override the default ones from Material UI
  components: {
    MuiTextField: {
      defaultProps: {
        size: 'small',
      },
    },
    MuiButton: {
      defaultProps: {
        variant: 'outlined',
      },
    },
  },
}

export default mainTheme
